using Mapster;


namespace Model
{
    /// <summary>
    /// app底部导航 app_bottom_navs
    /// </summary>
    [SugarTable("app_bottom_navs", "app底部导航")]
    [Tenant("0")]
    public class AppBottomNavs
    {
        /// <summary>
        /// 标题
        /// </summary>
        [SugarColumn(ColumnDescription = "标题", Length = 10, ColumnName = "title")]
        public string title { get; set; }


        /// <summary>
        /// 选中图标
        /// </summary>
        [SugarColumn(ColumnDescription = "选中图标", Length = 200, ColumnName = "select_icon")]
        public string selectIcon { get; set; }


        /// <summary>
        /// 未选中图标
        /// </summary>
        [SugarColumn(ColumnDescription = "未选中图标", Length = 200, ColumnName = "normal_icon")]
        public string normalIcon { get; set; }


        /// <summary>
        /// 选中文字颜色
        /// </summary>
        [SugarColumn(ColumnDescription = "选中文字颜色", Length = 6, ColumnName = "select_text_color")]
        public string selectTextColor { get; set; }


        /// <summary>
        /// 未选中文字颜色
        /// </summary>
        [SugarColumn(ColumnDescription = "未选中文字颜色", Length = 6, ColumnName = "normal_text_color")]
        public string normalTextColor { get; set; }


        /// <summary>
        /// 关联页面文件
        /// </summary>
        [SugarColumn(ColumnDescription = "关联页面文件", Length = 50, ColumnName = "page_name")]
        public string pageName { get; set; }


        /// <summary>
        /// 空页面提示信息
        /// </summary>
        [SugarColumn(ColumnDescription = "空页面提示信息", Length = 50, ColumnName = "no_page_hint")]
        public string noPageHint { get; set; }


        /// <summary>
        /// 背景色
        /// </summary>
        [SugarColumn(ColumnDescription = "背景色", Length = 6, ColumnName = "backgroud_color")]
        public string backgroudColor { get; set; }


        /// <summary>
        /// 按钮样式
        /// </summary>
        [SugarColumn(ColumnDescription = "按钮样式", Length = 30, ColumnName = "style")]
        public string style { get; set; }


        /// <summary>
        /// 滚动图片
        /// </summary>
        [SugarColumn(ColumnDescription = "滚动图片", Length = 300, ColumnName = "scroller_animation_images")]
        public string scrollerAnimationImages { get; set; }


        /// <summary>
        /// PAG文件
        /// </summary>
        [SugarColumn(ColumnDescription = "PAG文件", Length = 200, ColumnName = "pag_path")]
        public string pagPath { get; set; }


        /// <summary>
        /// 是否显示标题
        /// </summary>
        [SugarColumn(ColumnDescription = "是否显示标题", ColumnName = "show_title")]
        public bool showTitle { get; set; }


        /// <summary>
        /// pag文件路径
        /// </summary>
        [SugarColumn(ColumnDescription = "pag文件路径", Length = 200, ColumnName = "pag_local_path")]
        public string pagLocalPath { get; set; }


        /// <summary>
        /// pag默认图标
        /// </summary>
        [SugarColumn(ColumnDescription = "pag默认图标", Length = 200, ColumnName = "pag_default_icon")]
        public string pagDefaultIcon { get; set; }


        /// <summary>
        /// 图标尺寸
        /// </summary>
        [SugarColumn(ColumnDescription = "图标尺寸", ColumnName = "icon_size")]
        public int iconSize { get; set; }


        /// <summary>
        /// 状态栏底色
        /// </summary>
        [SugarColumn(ColumnDescription = "状态栏底色", Length = 50, ColumnName = "status_bar_color")]
        public string statusBarColor { get; set; }


        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(ColumnDescription = "ID", IsPrimaryKey = true, IsIdentity = true, ColumnName = "id")]
        public int id { get; set; }


        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnDescription = "状态", ColumnName = "status")]
        public int status { get; set; }


        /// <summary>
        /// 排序
        /// </summary>
        [SugarColumn(ColumnDescription = "排序", ColumnName = "sort")]
        public int sort { get; set; }


        /// <summary>
        /// 版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "版本号", ColumnName = "version")]
        public int version { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_date")]
        public DateTime? createDate { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_date")]
        public DateTime? updateDate { get; set; }


        /// <summary>
        /// 分类
        /// </summary>
        [SugarColumn(ColumnDescription = "分类", Length = 50, ColumnName = "kind")]
        public string kind { get; set; }



    }
}