using Mapster;


namespace Model
{
    /// <summary>
    /// 资源文件更新信息 file_update_info
    /// </summary>
    [SugarTable("file_update_info", "资源文件更新信息")]
    [Tenant("0")]
    public class FileUpdateInfo
    {
        /// <summary>
        /// 更新版本
        /// </summary>
        [SugarColumn(ColumnDescription = "更新版本", ColumnName = "version_num")]
        public int versionNum { get; set; }


        /// <summary>
        /// 路径
        /// </summary>
        [SugarColumn(ColumnDescription = "路径", Length = 200, ColumnName = "path")]
        public string path { get; set; }


        /// <summary>
        /// 文件名
        /// </summary>
        [SugarColumn(ColumnDescription = "文件名", Length = 50, ColumnName = "file_name")]
        public string fileName { get; set; }


        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(ColumnDescription = "ID", IsPrimaryKey = true, IsIdentity = true, ColumnName = "id")]
        public int id { get; set; }


        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnDescription = "状态", ColumnName = "status")]
        public int status { get; set; }


        /// <summary>
        /// 排序
        /// </summary>
        [SugarColumn(ColumnDescription = "排序", ColumnName = "sort")]
        public int sort { get; set; }


        /// <summary>
        /// 版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "版本号", ColumnName = "version")]
        public int version { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_date")]
        public DateTime? createDate { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_date")]
        public DateTime? updateDate { get; set; }


        /// <summary>
        /// 分类
        /// </summary>
        [SugarColumn(ColumnDescription = "分类", Length = 50, ColumnName = "kind")]
        public string kind { get; set; }



    }
}